Kea: isc::dhcp::OptionDataTypeTraits< T > Struct Template Reference

| Kea 3.2.0-git

isc::dhcp::OptionDataTypeTraits< T > Struct Template Reference

Trait class for data types supported in DHCP option definitions. More...

`#include <option_data_types.h>`

## Static Public Attributes
static const bool | integer_type = false
static const int | len = 0
static const OptionDataType | type = OPT_UNKNOWN_TYPE
static const bool | valid = false

## Detailed Description

template<typename T>
struct isc::dhcp::OptionDataTypeTraits< T >

Trait class for data types supported in DHCP option definitions.

This is useful to check whether the type specified as template parameter is supported by classes like OptionInt, OptionIntArray and some template factory functions in OptionDefinition class.

Definition at line 95 of file option_data_types.h.

## Member Data Documentation

## ◆ integer_type

template<typename T>

const bool isc::dhcp::OptionDataTypeTraits< T >::integer_type = false
| static

Definition at line 98 of file option_data_types.h.

Referenced by isc::dhcp::OptionInt< uint8_t >::OptionInt(), isc::dhcp::OptionInt< uint8_t >::OptionInt(), isc::dhcp::OptionIntArray< uint8_t >::OptionIntArray(), isc::dhcp::OptionIntArray< uint8_t >::OptionIntArray(), isc::dhcp::OptionIntArray< uint8_t >::OptionIntArray(), isc::dhcp::OptionDataTypeUtil::readInt(), and isc::dhcp::OptionDataTypeUtil::writeInt().

## ◆ len

template<typename T>

const int isc::dhcp::OptionDataTypeTraits< T >::len = 0
| static

Definition at line 97 of file option_data_types.h.

Referenced by isc::dhcp::OptionInt< uint8_t >::pack(), isc::dhcp::OptionIntArray< uint8_t >::pack(), isc::dhcp::OptionDataTypeUtil::readInt(), isc::dhcp::OptionCustom::readInteger(), isc::dhcp::OptionInt< uint8_t >::toText(), isc::dhcp::OptionIntArray< uint8_t >::toText(), isc::dhcp::OptionInt< uint8_t >::unpack(), isc::dhcp::OptionIntArray< uint8_t >::unpack(), and isc::dhcp::OptionDataTypeUtil::writeInt().

## ◆ type

template<typename T>

const OptionDataType isc::dhcp::OptionDataTypeTraits< T >::type = OPT_UNKNOWN_TYPE
| static

Definition at line 99 of file option_data_types.h.

Referenced by isc::dhcp::OptionCustom::addArrayDataField(), isc::dhcp::OptionInt< uint8_t >::toText(), and isc::dhcp::OptionIntArray< uint8_t >::toText().

## ◆ valid

template<typename T>

const bool isc::dhcp::OptionDataTypeTraits< T >::valid = false
| static

Definition at line 96 of file option_data_types.h.

The documentation for this struct was generated from the following file:

- option_data_types.h